org.eclipse.graphiti.features.impl

## Interface IIndependenceSolver

    public interface IIndependenceSolver

The Interface IIndependenceSolver.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getBusinessObjectForKey(java.lang.String key)` Provides the business object for the given key.
`java.lang.String` `getKeyForBusinessObject(java.lang.Object bo)` Provides the unique key for the given business object.

### Method Detail

#### getKeyForBusinessObject

    java.lang.String getKeyForBusinessObject(java.lang.Object bo)

Provides the unique key for the given business object.

Parameters:
  `bo` - the given business object
Returns:
  unique key

#### getBusinessObjectForKey

    java.lang.Object getBusinessObjectForKey(java.lang.String key)

Provides the business object for the given key.

Parameters:
  `key` - the unique key
Returns:
  the business object